#include<iostream>

#include<cmath>
using namespace std;
int main(){

long double L,R,n,n1;
int p,q,r;
long long int t;
cin>>p;
cin>>q;
cin>>r;
cin>>L;
cin>>R;
t=0;
for(n=L;n<=R;n++){
	n1=n;
	if(ceil(n1/p)+ceil(n1/q)+ceil(n1/r)<=n1){
	t++;
}
n++;	
}
cout<<t;
}